petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLayoutGetSize

Gets the global size for a PetscLayout object.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutGetSize(PetscLayout map,PetscInt *n)

Not Collective

### Input Parameters

map -pointer to the map

### Output Parameters

n -the global size

### Notes

Call this after the call to PetscLayoutSetUp()

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutSetSize(), PetscLayoutSetUp()
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize()

### Level

developer

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages